Page MenuHomePhabricator

NEWSECTIONLINK and INDEX being added to articles
Closed, DeclinedPublic

Event Timeline

Bgwhite created this task.Nov 17 2015, 12:00 AM
Bgwhite raised the priority of this task from to Needs Triage.
Bgwhite updated the task description. (Show Details)
Bgwhite added a project: VisualEditor.
Bgwhite added subscribers: Bgwhite, Magioladitis, NicoV.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 17 2015, 12:00 AM

These tags never need to be added to articles. Why is VE even having an option to do that?

Jdforrester-WMF closed this task as Declined.Nov 17 2015, 8:17 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Per other tasks.

Why was this declined? I haven't a clue what "per other tasks" means

"Per other tasks" means that this task was declined due to a reason that was explained at some other (unspecified) tasks.

https://en.wikipedia.org/wiki/Wikipedia:VisualEditor/Feedback/Archive_2016_3#Stop_adding_various_magicwords_FORCETOC.2C_NOEDITSECTION.2C_INDEX_and_NEWSECTIONLINK

VisualEditor should obey the $wgExemptFromUserRobotsControl variable. In namespaces that this is set to disable, it should not even offer the end-users the opportunity to click any buttons related to indexing. Keep it as simple as possible for the user.

Wbm1058 reopened this task as Open.Jan 16 2016, 2:55 PM
Wbm1058 set Security to None.

I am going to merge this into T100691 - see the argumentation given there.

Krenair added a subscriber: Krenair.EditedJan 17 2016, 12:48 AM

So noeditsection/newsectionlink/etc. aren't getting removed since MediaWiki always takes them into account, but looking at the MW Parser/Title code it may be worth considering @Wbm1058's comment about wgExemptFromUserRobotsControl, which can actually make INDEX/NOINDEX get ignored. On the other hand, maybe we want to allow VE users to remove an existing INDEX/NOINDEX in cases where it is ignored...?

Krenair reopened this task as Open.Jan 17 2016, 12:51 AM

I'm not going to call this a complete duplicate, although there is certainly related debate there. This may still be fully declined, but let's see what James has to say.

As I said on the VE feedback page "Bonus points if VisualEditor automatically removes attempts to set INDEX in $wgExemptFromUserRobotsControl namespaces, as I'd like AWB to do as well, if it doesn't already. " In other words, rather than "allow VE users to remove an existing INDEX/NOINDEX in cases where it is ignored", VE should *just do it*

I don't see Wikitext editors adding INDEX or NOINDEX in article-space. The vast majority of casual editors will never find these behavioral switches or ever try to set them. This is virtually entirely, and unnecessarily being done by VE editors.

I've added to my editing patrol list the task of looking for these switches in article-space, and removing them. Please fix this so I don't have to do that.

See the related task https://phabricator.wikimedia.org/T122884 which is basically asking for a NEWSECTIONLINK equivalent to the $wgExemptFromUserRobotsControl variable. If such a new "exempt from new-section-linking" variable is implemented, then VisualEditor should also honor that and not offer to set or remove these behavior switches in namespaces where they are disabled.

rather than "allow VE users to remove an existing INDEX/NOINDEX in cases where it is ignored", VE should *just do it*

I don't think we want VE carrying out edits that the user did not explicitly make.

Jdforrester-WMF closed this task as Declined.Jan 19 2016, 8:03 PM

Whether or not this is a duplicate of another Declined task, it remains Declined.